# Uses of Interface
org.opensaml.xacml.policy.SubjectType

Packages that use SubjectType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of SubjectType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type SubjectType
Modifier and Type
Method
Description
`List<SubjectType>`
SubjectsType.`getSubjects()`
Gets the subjects.

## Uses of SubjectType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement SubjectType
Modifier and Type
Class
Description
`class`
`SubjectTypeImpl`
Implementation of `SubjectType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type SubjectType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<SubjectType>`
SubjectsTypeImpl.`subject`
List of action types.
Methods in org.opensaml.xacml.policy.impl that return SubjectType
Modifier and Type
Method
Description
`SubjectType`
SubjectTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`SubjectType`
SubjectTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type SubjectType
Modifier and Type
Method
Description
`List<SubjectType>`
SubjectsTypeImpl.`getSubjects()`
Gets the subjects.